org.apache.felix.ipojo.handlers.dependency

## Enum AggregateDependencyInjectionType

- java.lang.Object
- - java.lang.Enum<AggregateDependencyInjectionType>
  - - org.apache.felix.ipojo.handlers.dependency.AggregateDependencyInjectionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AggregateDependencyInjectionType>

    public enum AggregateDependencyInjectionType
    extends java.lang.Enum<AggregateDependencyInjectionType>

An enumeration listing the different possibility to inject an aggregate dependency in a field or constructor parameter.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY`
`LIST`
`SET`
`VECTOR`

### Field Summary

Fields
`static java.util.List<java.lang.String>` `AGGREGATE_TYPES`

### Method Summary

All Methods Static Methods Concrete Methods
`static AggregateDependencyInjectionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AggregateDependencyInjectionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARRAY

    public static final AggregateDependencyInjectionType ARRAY

#### LIST

    public static final AggregateDependencyInjectionType LIST

#### SET

    public static final AggregateDependencyInjectionType SET

#### VECTOR

    public static final AggregateDependencyInjectionType VECTOR

### Field Detail

#### AGGREGATE_TYPES

    public static java.util.List<java.lang.String> AGGREGATE_TYPES

### Method Detail

#### values

    public static AggregateDependencyInjectionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggregateDependencyInjectionType c : AggregateDependencyInjectionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggregateDependencyInjectionType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null